
From: Rusty Russell <rusty@rustcorp.com.au>

From: Andreas Schwab <schwab@suse.de> I'm getting a warning when building
for ia64 with MODVERSIONS enabled.  This is a bug in genksyms, it can't
cope with some arguments of __typeof__. 

The following patch will fix that.  Actually the argument of __typeof__ is
an abstract declarator, but the genksyms parser has no production for that;
decl_specifier_seq also matches some invalid constructs, but I don't think
this is a problem in practice, since the compiler will reject them.


---

 25-akpm/scripts/genksyms/parse.y |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN scripts/genksyms/parse.y~genksyms-parser-fix scripts/genksyms/parse.y
--- 25/scripts/genksyms/parse.y~genksyms-parser-fix	2004-04-03 03:00:01.761963696 -0800
+++ 25-akpm/scripts/genksyms/parse.y	2004-04-03 03:00:01.764963240 -0800
@@ -197,7 +197,7 @@ storage_class_specifier:
 type_specifier:
 	simple_type_specifier
 	| cvar_qualifier
-	| TYPEOF_KEYW '(' type_specifier ')'
+	| TYPEOF_KEYW '(' decl_specifier_seq ')'
 
 	/* References to s/u/e's defined elsewhere.  Rearrange things
 	   so that it is easier to expand the definition fully later.  */

_
